| Flutter iOS Embedder |

Instance Methods | Class Methods | Properties | List of all members
FlutterUndoManagerPlugin Class Reference

`#import <FlutterUndoManagerPlugin.h>`

Inheritance diagram for FlutterUndoManagerPlugin:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithDelegate:
(void) | - handleMethodCall:result:

## Class Methods
(instancetype) | + NS_UNAVAILABLE

## Properties
FlutterViewController * | viewController

## Detailed Description

Definition at line 15 of file FlutterUndoManagerPlugin.h.

## Method Documentation

## ◆ handleMethodCall:result:

- (void) handleMethodCall: |  | (FlutterMethodCall*) | call
result: |  | (FlutterResult) | result

Definition at line 40 of file FlutterUndoManagerPlugin.mm.

40 :(FlutterMethodCall*)call result:(FlutterResult)result {
41 NSString* method = call.method;
42 id args = call.arguments;
43 if ([method isEqualToString:kSetUndoStateMethod]) {
44 [self setUndoState:args];
45 result(nil);
46 } else {
47 result(FlutterMethodNotImplemented);
48 }
49 }

References FlutterMethodCall::arguments, FlutterMethodNotImplemented, kSetUndoStateMethod, and FlutterMethodCall::method.

## ◆ initWithDelegate:

- (instancetype) initWithDelegate: |  | (id<FlutterUndoManagerDelegate>) | NS_DESIGNATED_INITIALIZER |

Initial value:
{
id<FlutterUndoManagerDelegate> _undoManagerDelegate

Definition at line 24 of file FlutterUndoManagerPlugin.mm.

24 :(id<FlutterUndoManagerDelegate>)undoManagerDelegate {
25 self = [super init];
26
27 if (self) {
28 // `_undoManagerDelegate` is a weak reference because it should retain FlutterUndoManagerPlugin.
29 _undoManagerDelegate = undoManagerDelegate;
30 }
31
32 return self;
33 }

## ◆ NS_UNAVAILABLE [1/2]

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ NS_UNAVAILABLE [2/2]

+ (instancetype) NS_UNAVAILABLE |  |  |

## Property Documentation

## ◆ viewController

- (FlutterViewController*) viewController
| read write nonatomic assign

Definition at line 17 of file FlutterUndoManagerPlugin.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterUndoManagerPlugin.h
- shell/platform/darwin/ios/framework/Source/FlutterUndoManagerPlugin.mm

FlutterMethodNotImplemented
FLUTTER_DARWIN_EXPORT NSObject const * FlutterMethodNotImplemented
FlutterMethodCall::method
NSString * method
Definition: FlutterCodecs.h:233
FlutterMethodCall
Definition: FlutterCodecs.h:220
kSetUndoStateMethod
static NSString *const kSetUndoStateMethod
Definition: FlutterUndoManagerPlugin.mm:14
FlutterResult
void(^ FlutterResult)(id _Nullable result)
Definition: FlutterChannels.h:194
FlutterMethodCall::arguments
id arguments
Definition: FlutterCodecs.h:238